Summary: Minimalistic user-space Netlink utility library
Name: libmnl
Version: 1.0.3
Release: r0.0
License: LGPLv2.1+
Group: base
Packager: Wind River <info@windriver.com>
URL: http://www.netfilter.org/projects/libmnl/index.html
BuildRequires: pkgconfig-native
BuildRequires: libtool-cross
BuildRequires: autoconf-native
BuildRequires: libtool-native
BuildRequires: virtual/libc
BuildRequires: virtual/x86_64-wrs-linux-compilerlibs
BuildRequires: gnu-config-native
BuildRequires: virtual/x86_64-wrs-linux-gcc
BuildRequires: automake-native

%description
Minimalistic user-space library oriented to Netlink developers, providing
functions for common tasks in parsing, validating, and constructing both
the Netlink header and TLVs.

%package -n libmnl-dbg
Summary: Minimalistic user-space Netlink utility library - Debugging files
Group: devel
Suggests: libc6-dbg
Recommends: libmnl0 = 1.0.3-r0.0

%description -n libmnl-dbg
Minimalistic user-space library oriented to Netlink developers, providing
functions for common tasks in parsing, validating, and constructing both
the Netlink header and TLVs.  This package contains ELF symbols and related
sources for debugging purposes.

%package -n libmnl-staticdev
Summary: Minimalistic user-space Netlink utility library - Development files (Static Libraries)
Group: devel
Requires: libmnl-dev = 1.0.3-r0.0

%description -n libmnl-staticdev
Minimalistic user-space library oriented to Netlink developers, providing
functions for common tasks in parsing, validating, and constructing both
the Netlink header and TLVs.  This package contains static libraries for
software development.

%package -n libmnl-dev
Summary: Minimalistic user-space Netlink utility library - Development files
Group: devel
Requires: libmnl0 = 1.0.3-r0.0
Suggests: libc6-dev

%description -n libmnl-dev
Minimalistic user-space library oriented to Netlink developers, providing
functions for common tasks in parsing, validating, and constructing both
the Netlink header and TLVs.  This package contains symbolic links, header
files, and related items necessary for software development.

%package -n libmnl-doc
Summary: Minimalistic user-space Netlink utility library - Documentation files
Group: doc

%description -n libmnl-doc
Minimalistic user-space library oriented to Netlink developers, providing
functions for common tasks in parsing, validating, and constructing both
the Netlink header and TLVs.  This package contains documentation.

%package -n libmnl-locale
Summary: Minimalistic user-space Netlink utility library
Group: base

%description -n libmnl-locale
Minimalistic user-space library oriented to Netlink developers, providing
functions for common tasks in parsing, validating, and constructing both
the Netlink header and TLVs.

%package -n libmnl0
Summary: Minimalistic user-space Netlink utility library
Group: base
Requires: rtld(GNU_HASH)
Requires: libc.so.6(GLIBC_2.3)(64bit)
Requires: libc.so.6(GLIBC_2.14)(64bit)
Requires: libc.so.6()(64bit)
Requires: libc.so.6(GLIBC_2.2.5)(64bit)
Requires: libc6 >= 2.20+sdkwrl7+19
Requires(post): rtld(GNU_HASH)
Requires(post): libc.so.6(GLIBC_2.3)(64bit)
Requires(post): libc.so.6(GLIBC_2.14)(64bit)
Requires(post): libc.so.6()(64bit)
Requires(post): libc.so.6(GLIBC_2.2.5)(64bit)
Requires(post): libc6 >= 2.20+sdkwrl7+19
Provides: libmnl.so.0()(64bit)
Provides: libmnl
Provides: libmnl.so.0(LIBMNL_1.1)(64bit)
Provides: elf(buildid) = f0ed2b4a3efbd4dd8dd283dad078d8e269745a00
Provides: libmnl.so.0(LIBMNL_1.0)(64bit)

%description -n libmnl0
Minimalistic user-space library oriented to Netlink developers, providing
functions for common tasks in parsing, validating, and constructing both
the Netlink header and TLVs.

%post -n libmnl0
# libmnl0 - postinst
#!/bin/sh
if [ x"$D" = "x" ]; then
	if [ -x /sbin/ldconfig ]; then /sbin/ldconfig ; fi
fi


%files -n libmnl-dbg
%defattr(-,-,-,-)
%dir "/usr"
%dir "/usr/src"
%dir "/usr/lib64"
%dir "/usr/src/debug"
%dir "/usr/src/debug/libmnl"
%dir "/usr/src/debug/libmnl/1.0.3-r0"
%dir "/usr/src/debug/libmnl/1.0.3-r0/libmnl-1.0.3"
%dir "/usr/src/debug/libmnl/1.0.3-r0/libmnl-1.0.3/include"
%dir "/usr/src/debug/libmnl/1.0.3-r0/libmnl-1.0.3/src"
%dir "/usr/src/debug/libmnl/1.0.3-r0/libmnl-1.0.3/include/libmnl"
%dir "/usr/src/debug/libmnl/1.0.3-r0/libmnl-1.0.3/include/linux"
"/usr/src/debug/libmnl/1.0.3-r0/libmnl-1.0.3/include/libmnl/libmnl.h"
"/usr/src/debug/libmnl/1.0.3-r0/libmnl-1.0.3/include/linux/netlink.h"
"/usr/src/debug/libmnl/1.0.3-r0/libmnl-1.0.3/src/nlmsg.c"
"/usr/src/debug/libmnl/1.0.3-r0/libmnl-1.0.3/src/attr.c"
"/usr/src/debug/libmnl/1.0.3-r0/libmnl-1.0.3/src/socket.c"
"/usr/src/debug/libmnl/1.0.3-r0/libmnl-1.0.3/src/callback.c"
%dir "/usr/lib64/.debug"
"/usr/lib64/.debug/libmnl.so.0.1.0"

%files -n libmnl-dev
%defattr(-,-,-,-)
%dir "/usr"
%dir "/usr/include"
%dir "/usr/lib64"
%dir "/usr/include/libmnl"
"/usr/include/libmnl/libmnl.h"
%dir "/usr/lib64/pkgconfig"
"/usr/lib64/libmnl.so"
"/usr/lib64/libmnl.la"
"/usr/lib64/pkgconfig/libmnl.pc"

%files -n libmnl0
%defattr(-,-,-,-)
%dir "/usr"
%dir "/usr/lib64"
"/usr/lib64/libmnl.so.0"
"/usr/lib64/libmnl.so.0.1.0"

